ifdef PTXCONF_BAREBOX
$(STATEDIR)/barebox.install: $(STATEDIR)/barebox.beforeinstall
$(STATEDIR)/barebox.targetinstall: $(STATEDIR)/barebox.beforetargetinstall
$(STATEDIR)/barebox.clean: $(STATEDIR)/barebox.beforeclean
endif

$(STATEDIR)/barebox.beforeinstall:
	@echo "beforetargetinstall"
	@install -D -m644 $(BAREBOX_DIR)/barebox.bin $(BAREBOX_DIR)/barebox.bin.original
	@install -D -m644 $(BAREBOX_DIR)/barebox_default_env $(BAREBOX_DIR)/barebox_default_env.original
	@$(call touch)

$(STATEDIR)/barebox.beforetargetinstall:
	@echo "Bulid xload barebox"

	cd $(BAREBOX_DIR) && $(BAREBOX_PATH) $(MAKE) $(BAREBOX_MAKEVARS) pcm049_xload_defconfig
	cd $(BAREBOX_DIR) && $(BAREBOX_PATH) $(MAKE) $(BAREBOX_MAKEVARS)
	@install -m 644 $(BAREBOX_DIR)/barebox.bin.ift $(BAREBOX_DIR)/MLO	
	@install -D -m644 $(BAREBOX_DIR)/MLO $(IMAGEDIR)/MLO

	@$(call touch)

$(STATEDIR)/barebox.targetinstall.post:
	@$(call targetinfo)
	@echo "targetinstall.post"
	@install -D -m644 $(BAREBOX_DIR)/barebox.bin.original $(IMAGEDIR)/barebox-image
	@install -D -m644 $(BAREBOX_DIR)/barebox_default_env.original $(IMAGEDIR)/barebox-default-environment
	@install -m 644 $(BAREBOX_CONFIG) $(BAREBOX_DIR)/.config
	@$(call touch)

$(STATEDIR)/barebox.beforeclean:
	rm -rf $(IMAGEDIR)/MLO
	@$(call touch)
# vim: syntax=make
